/* #### PAGINATION */

div.dataTables_wrapper.no-footer {
    background-color: white;
    border: 1px solid rgb(222, 226, 230);
    padding-bottom: 4px;
}

.dataTables_info {
    font-family: Montserrat;
    font-size: 12px;
    font-weight: bold;
    padding-left: 10px;
    padding-top: 0.8em !important;
}

.page-item .page-link {
    border-radius: 3px;
    border-color: var(--color-fleximodo_darkBlue) !important;
    border-width: 0px;
    font-family: Montserrat;
    font-size: 12px;
    font-weight: 500;
    color: #000000;
    font-size: 12px;
    letter-spacing: 0;
    line-height: 14px;
    padding-right: 10px;
    /* text-align: center; */
}

.page-item.active .page-link {
    background-color: var(--color-fleximodo_darkBlue);
    color: white;
}

.page-item.next .page-link {
    background-color: #E9EDF5;
    color: var(--color-fleximodo_darkBlue);
}


/*  PAGINATION #### */

.button_in_table {
    height: 130%;
    background-color: #E9EDF5;
    color: var(--color-fleximodo_darkBlue);
    border: 0;
    border-radius: 4px;
    width: 42px;
}

.center_horizontal_align {
    text-align: center;
}

.search_icon_input {
    position: absolute;
    right: 0px;
    top: 50%;
    padding: 10px;
    transform: translateY(-50%);
    font-size: 1em;
    color: rgba(0, 0, 0, 0.6);
    z-index: 4;
}

.center_horizontal_align {
    text-align: center;
}


:root {
    --pagination-padding: 4px 8px;
    --pagination-margin: 2px 2px;
}

.dataTables_wrapper .dataTables_paginate .paginate_button {
    box-sizing: border-box;
    display: inline-block;
    min-width: 1.5em;
    font-size: 13px;
    text-align: center;
    text-decoration: none !important;
    cursor: pointer;
    *cursor: hand;
    color: #333 !important;
    border: none !important;
    outline: none !important;

    border-radius: 5px;

    /* padding: var(--pagination-padding); */
    margin: var(--pagination-margin);
    padding: 0;
}

.dataTables_wrapper .dataTables_paginate .paginate_button:active {
    background-color: transparent;

}


.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
    color: black !important;
    border: none !important;
    outline: none !important;
    box-shadow: none !important;

    /* border-radius: 5px; */

    background: none;
    background-image: none !important;
    background-color: transparent;
    /* 
    padding: var(--pagination-padding);
    margin: var(--pagination-margin); */
}

.dataTables_wrapper .dataTables_paginate .paginate_button.current,
.dataTables_wrapper .dataTables_paginate .paginate_button.current:hover {
    color: white !important;
    border: none !important;
    outline: none !important;
    box-shadow: none !important;

    /* border-radius: 5px; */
    background: none;
    background-color: var(--color-fleximodo_darkBlue) !important;
    font-size: 13px;

    padding: var(--pagination-padding);
    margin: var(--pagination-margin);
}

#carpark_list_table_next,
#carpark_list_table_next:hover,
#carpark_list_table_next:active,
#carpark_list_table_previous,
#carpark_list_table_previous:hover,
#carpark_list_table_previous:active,
#slotStatusList_table_next,
#slotStatusList_table_next:hover,
#slotStatusList_table_next:active,
#slotStatusList_table_previous,
#slotStatusList_table_previous:hover,
#slotStatusList_table_previous:active,
#user_list_table_next,
#user_list_table_next:hover,
#user_list_table_next:active,
#user_list_table_previous,
#user_list_table_previous:hover,
#user_list_table_previous:active {
    font-family: Montserrat;
    font-weight: 500;
    border: none !important;
    outline: none !important;
    color: var(--color-fleximodo_darkBlue) !important;
    background: none;
    box-shadow: none;
    background-color: #E9EDF5;
    font-size: 13px;
    padding: var(--pagination-padding);
    margin: var(--pagination-margin);
}

#carpark_list_table_previous.paginate_button.disabled,
#carpark_list_table_next.paginate_button.disabled,
#slotStatusList_table_previous.paginate_button.disabled,
#slotStatusList_table_next.paginate_button.disabled,
#user_list_table_previous.paginate_button.disabled,
#user_list_table_next.paginate_button.disabled {
    display: none;
}

.paging_simple_numbers {
    padding-right: 5px;
}